package cn.superdesk.uniorder.common.enums.accounting.operator;

public enum SettlementRangeWayEnum {
    指定供应商(1, "指定供应商"),
    指定订单类型(2, "指定订单类型"),
    指定支付方式(3, "指定支付方式"),
    ;
    private Integer key;
    private String  desc;

    SettlementRangeWayEnum(Integer key, String desc) {
        this.key = key;
        this.desc = desc;
    }


    public Integer getKey() {
        return key;
    }

    public String getDesc() {
        return desc;
    }

    public static String getDescByKey(Integer key) {
        for (SettlementRangeWayEnum c : SettlementRangeWayEnum.values()) {
            if (c.key.equals(key)) {
                return c.getDesc();
            }
        }
        return "";
    }
}
